package com.saye.hrs.mapper.system;

import com.saye.hrs.model.MenuRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface MenuRoleMapper {
	/**删除角色权限信息 通过roleID
	 * */
    public int deleteMenuRole(String roleId);
    
    //插入角色权限表记录
    public int insertMenuRole(String roleId,String menuId);
    
    /**
     * @description 根据角色id获取信息
     * @author thuang       
     * @created 2019年11月12日 上午11:26:33 
     * @param map
     * @return
     */
    public List<MenuRole> getMenuRolesByRoleId(HashMap<Object, Object> map);
}
